Random letters
Most popular
Newest
Latest
Scam

Read full letter

Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

Здравствуй. С Днём Рождения. С юбилеем! Тебе уже 20 лет, с праздником!

Read full letter

Nežinau ar laišką gausi tiksliai, tačiau jis buvo parašytas Gruodžio 17. Visai po Mantės gimtadienio. Greitu metu turėtų būti trys metai nuo mūsų draugystės pradžios. Tikiuosi mes vis...

Read full letter

Dear, My future self. Today you play Brilliant and honestly they are awful. your future goal is to play college football and try to make it pro. your backup goal is to be a personal trainer....

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter